curl --request POST \
--url https://api.llm7.io/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seedance-2.0-mini",
"request_type": "text-to-video",
"duration": 8,
"resolution": "720p",
"prompt": "Waves crashing on rocks, cinematic slow motion",
"client_request_id": "video-demo-001"
}
'import requests
url = "https://api.llm7.io/v1/videos"
payload = {
"model": "seedance-2.0-mini",
"request_type": "text-to-video",
"duration": 8,
"resolution": "720p",
"prompt": "Waves crashing on rocks, cinematic slow motion",
"client_request_id": "video-demo-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'seedance-2.0-mini',
request_type: 'text-to-video',
duration: 8,
resolution: '720p',
prompt: 'Waves crashing on rocks, cinematic slow motion',
client_request_id: 'video-demo-001'
})
};
fetch('https://api.llm7.io/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "video_task_id",
"status": "queued",
"outputs": []
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Create video task
Create an asynchronous text-to-video or image-to-video task. Use JSON when there are no reference images and multipart/form-data when reference images are present.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Client-generated idempotency key for safe retries of the same logical video task creation request.
Body
- Option 1
- Option 2
Video model ID.
"seedance-2.0-mini"
Video request type, such as text-to-video or image-to-video.
text-to-video, image-to-video "text-to-video"
Text instruction for the video.
"Waves crashing on rocks, cinematic slow motion"
Requested duration in seconds. Must be listed in the selected model's capabilities.supported_seconds.
8
Compatibility alias for duration.
8
Requested output resolution. Must be listed in the selected model's capabilities.supported_sizes when provided.
"720p"
Compatibility alias for resolution. Legacy models can expose exact sizes such as 1280x720.
"1280x720"
Client-generated request ID for tracing and retry correlation.
"video-demo-001"
Response
Queued video task
Video task ID.
"video_task_id"
Video task status.
queued, in_progress, completed, failed, timeout "queued"
Completed output URLs. Empty or omitted until the task is completed.
[ "https://storage.example/output/video_task_id.mp4" ]
Task error details for failed or timed-out tasks.
Show child attributes
Show child attributes
